/*
 *  CELLS       An Implementation of the WireWorld cellular automata
 *              as described in Scientific American, Jan 1990.
 *
 *              Copyright 1990 by Davide P. Cervone.
 *  You may use this code, provided this copyright notice is kept intact.
 *  See the CELLS.HELP file for complete information on distribution conditions.
 */

/*
 *  File:  cReqNP.h             Defines for the New Part requester
 */


#define NP_CANCEL   0
#define NP_OK       1
#define NP_NAME     2

#define NPB_PANEL   0
#define NPB_FRAME   2
#define NPB_BOX     4
#define NPB_BUTTON  6

#define NPT_CANCEL  0
#define NPT_OK      1
#define NPT_TITLE   2

#define NP_PANELW   102
#define NP_PANELH   47

#define NP_FRAMEX   3
#define NP_FRAMEY   11
#define NP_FRAMEW   (NP_PANELW-6)
#define NP_FRAMEH   (NP_PANELH-14)

#define NP_BOXX     (NP_FRAMEX+3)
#define NP_BOXY     (NP_FRAMEY+3)
#define NP_BOXW     (NP_FRAMEW-6)
#define NP_BOXH     TEXTH

#define NP_BUTTONX  NP_BOXX
#define NP_BUTTONY  (NP_BOXY+NP_BOXH+2)
#define NP_BUTTONW  45
#define NP_BUTTONH  (TEXTH+1)

extern struct ExtRequest NPRequest;
